Subject: Re: bug#66281: 30.0.50; Emacs won't start on X11 with 10 bit color depth

From: Alexander Prähauser <[email-masked]>
Date: Mon, 02 Oct 2023 12:48:05 +0200

I uninstalled the Emacs version I had on my desktop, then
downloaded the newest source file, ran make and make install,
changed to the directory /usr/local/bin which was the only Emacs
executable I found and did the commands you sent again,
but I don't see any difference in the output. Should I have ran
Emacs from somewhere else?

Undefined command: "emacs".  Try "help".
Starting program: /usr/local/bin/emacs emacs -q -xrm "Emacs.synchronous: true"

This GDB supports auto-downloading debuginfo from the following URLs:
  <https://debuginfod.archlinux.org>
Debuginfod has been enabled.
To make this setting permanent, add 'set debuginfod enabled on' to .gdbinit.

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               

[New Thread 0x7ffff0ffe6c0 (LWP 27721)]
[New Thread 0x7fffe87fd6c0 (LWP 27722)]
[New Thread 0x7fffebfff6c0 (LWP 27723)]

[New Thread 0x7fffeb7fe6c0 (LWP 27724)]

Thread 1 "emacs" received signal SIGABRT, Aborted.
__pthread_kill_implementation (threadid=<optimized out>, signo=signo@entry=6, no_tid=no_tid@entry=0) at pthread_kill.c:44

44	      return INTERNAL_SYSCALL_ERROR_P (ret) ? INTERNAL_SYSCALL_ERRNO (ret) : 0;
#0  __pthread_kill_implementation (threadid=<optimized out>, signo=signo@entry=6, no_tid=no_tid@entry=0) at pthread_kill.c:44
        tid = <optimized out>
        ret = 0
        pd = <optimized out>
        old_mask = {__val = {4613937818241073152}}
        ret = <optimized out>
#1  0x00007ffff5b0c8a3 in __pthread_kill_internal (signo=6, threadid=<optimized out>) at pthread_kill.c:78
#2  0x00007ffff5abc668 in __GI_raise (sig=6) at ../sysdeps/posix/raise.c:26
        ret = <optimized out>
#3  0x00005555555a2272 in  ()
#4  0x0000000000000002 in  ()
#5  0x0000000000000020 in  ()
#6  0x00007fffffffd2c0 in  ()
#7  0x0000000000000004 in  ()
#8  0x0000555555dca010 in  ()
#9  0x0000000000000007 in  ()
#10 0x00ff00fd00fb00f9 in  ()
#11 0x0000000000000000 in  ()
No symbol "x_display_list" in current context.
No symbol "x_display_list" in current context.

Po Lu [2023-10-01 Sun 18:59] wrote:

> Alexander Prähauser <[email-masked]> writes:
>
>> I put the output into the attached file.
>
> Debugging symbols are absent from the copy of Emacs being run 
> under gdb,
> so this output is meaningless.  Please build Emacs from source 
> code and
> debug that in its place.